Subject: bug#13478: Don't deprecate or remove 'serial-tests'

From: Stefano Lattarini <[email-masked]>
Date: Thu, 17 Jan 2013 19:26:40 +0100

On 01/17/2013 07:16 PM, Richard W.M. Jones wrote:
> 
> For some reason this is marked as deprecated.
> 
> This is bad: parallel tests are fine for tiny tests which use only a
> little bit of memory.  However if your tests are very large and use a
> lot of RAM then running them in parallel can cause them to fail
> unnecessarily.
> 
> The libguestfs test suite is exactly like this: parallel tests causes
> it to fail because you end up running multiple parallel VMs.  Serial
> tests is the right way to go for us.
>
This is a documentation problem, mostly (and my fault BTW, but let's move on).
We should say that 'paralle-tests' is "encouraged", rather than saying that
'serial-tests' is "deprecated".  In fact, there are no plan to ever remove it,
or even give runtime warnings upon its usage.

Patches to the manual would be most welcome.

Best regards,
  Stefano